Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class BindingDetail

    java.lang.Object
      weblogic.uddi.client.structures.response.Response
          weblogic.uddi.client.structures.response.ListResponse
              weblogic.uddi.client.structures.response.BindingDetail

    public class BindingDetail

extends ListResponse

BindingDetail contains specific bindingTemplate information in response to a get_bindingDetail or find_binding inquiry message.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`BindingDetail()` Class constructor.

Method Summary
`void` | `addBindingTemplate(BindingTemplate value)` Adds a new binding template to the set of binding templates.
`Vector` | `getBindingTemplateVector()` Gets the set of binding templates.
`void` | `setBindingTemplateVector(Vector value)` Sets the values of binding templates.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingDetail

    public BindingDetail()

  Class constructor.

Method Detail

### addBindingTemplate

    public void addBindingTemplate(BindingTemplate value)

  Adds a new binding template to the set of binding templates.

  Parameters:
    `value` - the new binding template.

### setBindingTemplateVector

    public void setBindingTemplateVector(Vector value)

  Sets the values of binding templates.

  Parameters:
    `value` - the new set of binding templates.

### getBindingTemplateVector

    public Vector getBindingTemplateVector()

  Gets the set of binding templates.

  Returns:
    the current set of binding templates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD